# Uses of Enum Class
org.eclipse.gef.dot.internal.DotAttributes.Context

Packages that use DotAttributes.Context
Package
Description
org.eclipse.gef.dot.internal

## Uses of DotAttributes.Context in org.eclipse.gef.dot.internal

Methods in org.eclipse.gef.dot.internal that return DotAttributes.Context
Modifier and Type
Method
Description
`static DotAttributes.Context`
DotAttributes.`getContext(org.eclipse.emf.ecore.EObject eObject)`
Determine the context in which the given `EObject` is used.
`static DotAttributes.Context`
DotAttributes.Context.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DotAttributes.Context[]`
DotAttributes.Context.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.gef.dot.internal with parameters of type DotAttributes.Context
Modifier and Type
Method
Description
`static Object`
DotAttributes.`parsedAsAttribute(org.eclipse.gef.dot.internal.language.terminals.ID valueRaw, String attrName, DotAttributes.Context context)`
`static List<org.eclipse.emf.common.util.Diagnostic>`
DotAttributes.`validateAttributeRawValue(DotAttributes.Context attributeContext, String attributeName, org.eclipse.gef.dot.internal.language.terminals.ID attributeValue)`
Validate the attribute determined via name and value syntactically and semantically.